CommunityList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class CommunityList

    java.lang.Object
      com.fenalco.entities.CommunityList

    public class CommunityList

extends java.lang.Object

Esta clase representa un Listado de Comunidades

Author:
  Juan Ernesto Peña K.

Field Summary
`private java.util.Hashtable` | `communities` Este Hashtable contiene a las comunidades que componen la lista, este Hashtable está constituido de la siguiente forma: key: commnityId value: Objeto Community

Constructor Summary
`CommunityList(int supplierId)` Este constructor recibe como parámetro el id del proveedor `supplierId` y carga una lista de las comunidades creadas por dicho proveedor.

Method Summary
`java.util.Hashtable` | `getCommunities()` Consultor para el atributo communities.
`boolean` | `loadData(int supplierId)` Este método carga desde la base de datos un listado de las comunidades que fueron creadas por el proveedor identificado por el parametro `supplierId`.
`static void` | `main(java.lang.String[] args)`
`void` | `setCommunities(java.util.Hashtable communities)` Modificador para el atributo communities.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### communities

    private java.util.Hashtable communities

  Este Hashtable contiene a las comunidades que componen la lista, este Hashtable está constituido de la siguiente forma: key: commnityId value: Objeto Community

Constructor Detail

### CommunityList

    public CommunityList(int supplierId)

  Este constructor recibe como parámetro el id del proveedor `supplierId` y carga una lista de las comunidades creadas por dicho proveedor. Este constructor llama a la función `loadData(supplierId)` y carga los datos de la base de datos en el objeto.

  Parameters:
    `supplierId` - Identificador del proveedor en la base de datos

Method Detail

### loadData

    public boolean loadData(int supplierId)

  Este método carga desde la base de datos un listado de las comunidades que fueron creadas por el proveedor identificado por el parametro `supplierId`.

  Parameters:
    `supplierId` - Identificador del proveedor en la base de datos
  Returns:
    Valor booleano que identifica si la operación tuvo éxito o no

### getCommunities

    public java.util.Hashtable getCommunities()

  Consultor para el atributo communities.

  Returns:
    Valor del atributo communities.

### setCommunities

    public void setCommunities(java.util.Hashtable communities)

  Modificador para el atributo communities.

  Parameters:
    `suppliers` - Nuevo valor del atributo communities.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD